include:
  - project: 'sre/ci-building-blocks'
    file: 'nodejs.yml'
    ref: '3.1.0'

integration tests:
  extends: .unit tests
  services:
    - redis:latest
  script:
    - yarn --non-interactive --no-progress -s
    - yarn integration --ci --coverage
  variables:
    # app specific settings
    REDIS_HOST: redis

deploy helm chart:
  extends: .auto-deploy-helm-chart
  script:
    - !reference [.auto-deploy-helm-chart, script]
    - envsubst < .gitlab/autodeploy/kubernetes-resources.yaml > tmp-k8s-resources.yaml
    - kubectl apply -f tmp-k8s-resources.yaml
